% this script read chimical analyses (salinity and oxygen)

clear

% xls file
% --------
%file = '../CHIMIE/OXYGENE/Oxygene-pirata-fr19.xls';
file = 'Oxygene-pirata-fr19.xls';

% open xls info and get informations
% ----------------------------------
[type, sheet] = xlsfinfo( file);

% allocate array size
% -------------------
data = zeros(11,3,31);

 % pressure, line 25 to 35, column 16
 % salinity column 5
 % oxygen column 15
 % ----------------
 columns = [16,5,15];
 
% loop over each excel sheet
% --------------------------
% for k=1:length(sheet)
 for k=1:31

  % associate each sheet name to key
  % --------------------------------
  key = sheet{k};

  % create a temporary hashtable use to store data read in each sheet
  % -----------------------------------------------------------------
  %hash = hashtable;

  % read Excel worksheet in raw mode (unprocessed cell content) which
  % contains both numeric and text data, empty cell is fillwith NaN
  % -----------------------------------------------------------------
  fprintf('Read station %d\n', k)
  
  [A,B,raw] = xlsread( file, sheet{k} );

  % get size of each sheet
  % ----------------------
  [line,column] = size(raw);
  
 % initialize array indice
 % ------------------------
 ii=1;jj=1;
 
 % loop over lines and columns
 % ---------------------------
  for i = 25: 35
    for j = columns
      
      % get value from cell
      % -------------------
      value = raw{i,j};
      
      % get only double value, set to Nan for other cell
      % ------------------------------------------------
      if ~isempty(value) && ~ischar(value)
        data(ii,jj,k) = value;
      else
        data(ii,jj,k) = NaN;
      end
      jj = jj + 1;  % increment array indices for data: next column
    end
    ii = ii + 1; % increment array indices for data: next line
    jj = 1;      % reset column
  end
  
end