#!/bin/sh
# script de traitement (processing) de tous les fichier .hex 
# Pirata-FR19 JGrelet IRD Brest oct 2009
#
# ex sous cygwin:  ./process-all.sh <debut> <fin> 
# exemple       :  ./process-all.sh 1 31

# traite num comme un entier, sinon il faut mettre let num=num+1 en derniere
# ligne

if [ $# -lt 2 -o $# -gt 3 ]; then
  echo "usage: ./process-all.sh <debut> <fin>"
  echo "ex:    ./process-all.sh 1 31"
  exit
fi

typeset -i num=$1

# arrete le traitement si station <= fin ($2)
while [ $num -le $2 ]; do
  # traite le cas des station de 1 a 10
  if [ $num -lt 10 ]; then
    STATION="00${num}"
  elif [ $num -ge 10 -a $num -lt 100 ]; then
    STATION="0${num}"
  else	  
    STATION="${num}"
  fi
  #echo "${STATION}  "
  # execute le traitement si station >= debut ($1) 
  if [ $num -ge $1 ] ; then
    # process station avec bouteille et LADCP	  
    if [ -f "data/fr19${STATION}.ros" ]; then
      echo "Process  station : ${STATION}"
      ./process.bat ${STATION}
    fi  
  fi
  num=num+1
done

